loci.plugins.in

## Class MainDialog

- java.lang.Object
- - loci.plugins.prefs.OptionsDialog
  - - loci.plugins.in.ImporterDialog
    - - loci.plugins.in.MainDialog

- All Implemented Interfaces:
    java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.MouseListener, java.util.EventListener

      public class MainDialog
      extends ImporterDialog
      implements java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.MouseListener

  Bio-Formats Importer general options dialog box.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Checkbox` | `autoscaleBox`
    `protected java.awt.Choice` | `colorModeChoice`
    `protected java.awt.Checkbox` | `concatenateBox`
    `protected java.awt.Checkbox` | `cropBox`
    `protected java.awt.Checkbox` | `groupFilesBox`
    `static java.lang.String` | `INFO_DEFAULT` Initial message to display in help text box.
    `protected javax.swing.JEditorPane` | `infoPane`
    `protected java.util.Map<java.awt.Component,java.lang.String>` | `infoTable`
    `protected java.awt.Checkbox` | `openAllSeriesBox`
    `protected java.awt.Choice` | `roisModeChoice`
    `protected java.awt.Checkbox` | `showMetadataBox`
    `protected java.awt.Checkbox` | `showOMEXMLBox`
    `protected java.awt.Checkbox` | `showROIsBox`
    `protected java.awt.Checkbox` | `specifyRangesBox`
    `protected java.awt.Checkbox` | `splitCBox`
    `protected java.awt.Checkbox` | `splitTBox`
    `protected java.awt.Checkbox` | `splitZBox`
    `protected java.awt.Choice` | `stackFormatChoice`
    `protected java.awt.Choice` | `stackOrderChoice`
    `protected java.awt.Checkbox` | `stitchTilesBox`
    `protected java.awt.Checkbox` | `swapDimsBox`
    `protected java.awt.Checkbox` | `ungroupFilesBox`
    `protected java.awt.Checkbox` | `virtualBox`

    - ### Fields inherited from class loci.plugins.in.ImporterDialog

      `options, process`

    - ### Fields inherited from class loci.plugins.prefs.OptionsDialog

      `IS_GLITCHED, optionsList, STATUS_CANCELED, STATUS_FINISHED, STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainDialog(ImportProcess process)` Creates a general options dialog for the Bio-Formats Importer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ij.gui.GenericDialog` | `constructDialog()`
    `void` | `focusGained(java.awt.event.FocusEvent e)` Handles information pane updates when component focus changes.
    `void` | `focusLost(java.awt.event.FocusEvent e)`
    `protected boolean` | `harvestResults(ij.gui.GenericDialog gd)`
    `void` | `itemStateChanged(java.awt.event.ItemEvent e)` Handles toggling of mutually exclusive options.
    `void` | `mouseClicked(java.awt.event.MouseEvent e)`
    `void` | `mouseEntered(java.awt.event.MouseEvent e)` Focuses the component upon mouseover.
    `void` | `mouseExited(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)`
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`
    `protected boolean` | `needPrompt()`
    `private void` | `rebuildDialog(ij.gui.GenericDialog gd)` Fancies up the importer dialog to look much nicer.
    `private void` | `verifyOptions(java.lang.Object src)` Ensures that the options dialog has no mutually exclusive options.
    `private com.jgoodies.forms.layout.CellConstraints` | `xyw(com.jgoodies.forms.layout.CellConstraints cc, int x, int y, int w)` Convenience method for creating a left-aligned, vertically centered cell constraints object.

    - ### Methods inherited from class loci.plugins.in.ImporterDialog

      `displayDialog, showDialog`

    - ### Methods inherited from class loci.plugins.prefs.OptionsDialog

      `addCheckbox, addChoice, sleep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INFO_DEFAULT

          public static final java.lang.String INFO_DEFAULT

      Initial message to display in help text box.
      See Also:
        Constant Field Values

    - #### autoscaleBox

          protected java.awt.Checkbox autoscaleBox

    - #### colorModeChoice

          protected java.awt.Choice colorModeChoice

    - #### concatenateBox

          protected java.awt.Checkbox concatenateBox

    - #### cropBox

          protected java.awt.Checkbox cropBox

    - #### groupFilesBox

          protected java.awt.Checkbox groupFilesBox

    - #### ungroupFilesBox

          protected java.awt.Checkbox ungroupFilesBox

    - #### openAllSeriesBox

          protected java.awt.Checkbox openAllSeriesBox

    - #### showMetadataBox

          protected java.awt.Checkbox showMetadataBox

    - #### showOMEXMLBox

          protected java.awt.Checkbox showOMEXMLBox

    - #### showROIsBox

          protected java.awt.Checkbox showROIsBox

    - #### roisModeChoice

          protected java.awt.Choice roisModeChoice

    - #### specifyRangesBox

          protected java.awt.Checkbox specifyRangesBox

    - #### splitZBox

          protected java.awt.Checkbox splitZBox

    - #### splitTBox

          protected java.awt.Checkbox splitTBox

    - #### splitCBox

          protected java.awt.Checkbox splitCBox

    - #### stackFormatChoice

          protected java.awt.Choice stackFormatChoice

    - #### stackOrderChoice

          protected java.awt.Choice stackOrderChoice

    - #### swapDimsBox

          protected java.awt.Checkbox swapDimsBox

    - #### virtualBox

          protected java.awt.Checkbox virtualBox

    - #### stitchTilesBox

          protected java.awt.Checkbox stitchTilesBox

    - #### infoTable

          protected java.util.Map<java.awt.Component,java.lang.String> infoTable

    - #### infoPane

          protected javax.swing.JEditorPane infoPane

  - ### Constructor Detail

    - #### MainDialog

          public MainDialog(ImportProcess process)

      Creates a general options dialog for the Bio-Formats Importer.

  - ### Method Detail

    - #### needPrompt

          protected boolean needPrompt()

      Specified by:
        `needPrompt` in class `ImporterDialog`

    - #### constructDialog

          protected ij.gui.GenericDialog constructDialog()

      Specified by:
        `constructDialog` in class `ImporterDialog`

    - #### harvestResults

          protected boolean harvestResults(ij.gui.GenericDialog gd)

      Specified by:
        `harvestResults` in class `ImporterDialog`

    - #### focusGained

          public void focusGained(java.awt.event.FocusEvent e)

      Handles information pane updates when component focus changes.
      Specified by:
        `focusGained` in interface `java.awt.event.FocusListener`

    - #### focusLost

          public void focusLost(java.awt.event.FocusEvent e)

      Specified by:
        `focusLost` in interface `java.awt.event.FocusListener`

    - #### itemStateChanged

          public void itemStateChanged(java.awt.event.ItemEvent e)

      Handles toggling of mutually exclusive options.
      Specified by:
        `itemStateChanged` in interface `java.awt.event.ItemListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent e)

      Focuses the component upon mouseover.
      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent e)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### rebuildDialog

          private void rebuildDialog(ij.gui.GenericDialog gd)

      Fancies up the importer dialog to look much nicer.

    - #### xyw

          private com.jgoodies.forms.layout.CellConstraints xyw(com.jgoodies.forms.layout.CellConstraints cc,
                                                                int x,
                                                                int y,
                                                                int w)

      Convenience method for creating a left-aligned, vertically centered cell constraints object.

    - #### verifyOptions

          private void verifyOptions(java.lang.Object src)

      Ensures that the options dialog has no mutually exclusive options.

Copyright © 2026 Open Microscopy Environment